Assign vehicle drive-time to a driver via API. For a step-by-step instruction on how to leverage this endpoint, see this guide
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Assignments under the Assignments category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request POST \
--url https://api.samsara.com/fleet/driver-vehicle-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driverId": "494123",
"vehicleId": "281474978683353",
"assignedAtTime": "2019-06-13T19:08:25Z",
"endTime": "2019-06-13T19:08:25Z",
"isPassenger": true,
"metadata": {
"sourceName": "My custom assignment source"
},
"startTime": "2019-06-13T19:08:25Z"
}
'{
"data": {
"message": "Driver assignment was successfully submitted"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Driver Assignment to be created
ID of the driver. This can be either a unique Samsara ID or an external ID for the driver.
"494123"
ID of the vehicle. This can be either a unique Samsara ID or an external ID for the vehicle.
"281474978683353"
The time at which the assignment was made in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
"2019-06-13T19:08:25Z"
The end time in RFC 3339 format. Defaults to max-time (meaning it's an ongoing assignment) if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
"2019-06-13T19:08:25Z"
Is this driver a passenger? Defaults to false if not provided
true
Metadata about this driver assignment
Show child attributes
The start time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
"2019-06-13T19:08:25Z"
Created response.
Response after successfully submitting a Driver Assignment
Show child attributes
curl --request POST \
--url https://api.samsara.com/fleet/driver-vehicle-assignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"driverId": "494123",
"vehicleId": "281474978683353",
"assignedAtTime": "2019-06-13T19:08:25Z",
"endTime": "2019-06-13T19:08:25Z",
"isPassenger": true,
"metadata": {
"sourceName": "My custom assignment source"
},
"startTime": "2019-06-13T19:08:25Z"
}
'{
"data": {
"message": "Driver assignment was successfully submitted"
}
}